These are chat archives for Ruhrpottpatriot/GW2.NET

29th
Jul 2016
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 12:29
I don't think that'll work. It's simply a list of events and when they startz
I was thinking of making the events into a json file and upload them to static github pages and then query them like any other API endpoint
Steven Liekens
@StevenLiekens
Jul 29 2016 21:19
yeah that does make it a lot easier to maintain
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:19
Currently I only have it locally. I also changed the format to make it more readable. Each event now sports a start and end time as well as a time delta
we need to cahgne the code for that a bit, but since events are at regular intervals, this makes things much easier
Steven Liekens
@StevenLiekens
Jul 29 2016 21:20
honestly though I'd like to vote to remove it
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:20
or that
Steven Liekens
@StevenLiekens
Jul 29 2016 21:20
a lot of maps have timed rotations now
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:21
care to explain? I've been out of the loop since before the HoT release
Steven Liekens
@StevenLiekens
Jul 29 2016 21:21
have you played Dry Top?
that was the first map to have events on schedules
now all of the HoT maps have it
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:22
how does it work?
i think I played it
but I'm not sure
Steven Liekens
@StevenLiekens
Jul 29 2016 21:22
dry top has sandstorms
and all of the events start at specific times
which is entirely against the philosophy behind dynamic events
but it's very similar to world boss rotations
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:23
ah
another question:
Steven Liekens
@StevenLiekens
Jul 29 2016 21:24
I died while I was typing all that :c
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:24
xD
Currently my HttpClient branch uses Polly to implement retry, timeout, etc. But that library does not yet support netstandard
Should we go with the beta implementation of it, or switch to another library?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:26
(Profile 259)
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:26
we had 151 iirc
and it worked
but with netstandard, I can't install the NugetPackage
Steven Liekens
@StevenLiekens
Jul 29 2016 21:28
sorry i got distracted
Polly is profile 259
which works in netstandard
but you have to enable it in project.json
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:29
how so?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:30
hold on
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:30
ok
I made some example project.json files for each nestandard version
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:31
on that note?
upgrade from netstandard 1.2 to 1.4?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:31
      "imports": [
        "portable-win81+wp81",
        "portable-net45+wp8",
        "portable-net45+win8+wp8",
        "portable-wp81+wpa81",
        "portable-win81+wp81+wpa81",
        "portable-net45+win8+wpa81+wp8"
      ]
ehh
idk
try lowest possible
1.3 then? since we are using net 4.6 anyway?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:33
no basically the lower we can go, the more project types we can support
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:33
ok
1.2 it is
Steven Liekens
@StevenLiekens
Jul 29 2016 21:33
I forgot what stops us from 1.0 or 1.1?
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:34
btw: Your imports thingy does not work
it expects a string
Steven Liekens
@StevenLiekens
Jul 29 2016 21:35
you can give it an array
array of strings
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:35
apparantly not
intellisense is complaining
Steven Liekens
@StevenLiekens
Jul 29 2016 21:35
is your SDK up to date?
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:36
should be
how can I check?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:36
dotnet version in the package manager console
make sure it's not RC
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:37

wtf:

No executable found matching command "dotnet-version"

Steven Liekens
@StevenLiekens
Jul 29 2016 21:37
oh
sorry
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:37
wasn't it something different?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:37
dotnet --version
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:37
.NET Command Line Tools (1.0.0-beta-001598)
Product Information:
Version: 1.0.0-beta-001598
Commit Sha: 7582649f88
Steven Liekens
@StevenLiekens
Jul 29 2016 21:38
that's horribly out of date
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:38
xD
Steven Liekens
@StevenLiekens
Jul 29 2016 21:38
look for 1.0.0-preview2-003121
also there's a visual studio plugin
make sure that's also up to date
oh and
don't just install new tools
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:39
from here?
?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:39
you have to uninstall old versions first
http://dot.net has everything
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:39
ok, i have VS 2015 Upgrade 3
Steven Liekens
@StevenLiekens
Jul 29 2016 21:40
you need ".NET Core Tooling Preview 2 for Visual Studio 2015"
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:40
ok
sigh
it tells me update 3 is not installed
which I have installed
ah got it
that temporary bug
Steven Liekens
@StevenLiekens
Jul 29 2016 21:46
seriously though make sure you uninstall all previous betas
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:46
are there problems with it?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:46
yeah big problems
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:46
such as?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:49
broken intellisense ;)
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:49
well
that's a problem
the ASP.NET stuff too?
Steven Liekens
@StevenLiekens
Jul 29 2016 21:51
it's all dotnet now
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 21:51
ok
Robert Logiewa
@Ruhrpottpatriot
Jul 29 2016 22:03
ok, I'll try everything tomorrow or so
cya